<?xml version="1.0" encoding="utf-8"?>
<layout>
  <data>
    <variable
      name="viewModel"
      type="com.diagnosiscovid.features.signin.SignInViewModel" />
  </data>
  <ScrollView xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/white"
    tools:context=".features.signup.SignUpActivity">

    <androidx.constraintlayout.widget.ConstraintLayout
      android:layout_width="match_parent"
      android:layout_height="wrap_content"
      android:paddingBottom="24dp">

      <androidx.appcompat.widget.AppCompatImageView
        android:id="@+id/image_header"
        android:layout_width="300dp"
        android:layout_height="300dp"
        android:adjustViewBounds="true"
        android:scaleType="fitXY"
        android:src="@drawable/ic_header_signin"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintHorizontal_bias="0"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

      <androidx.appcompat.widget.AppCompatTextView
        android:id="@+id/text_header_sign_in"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="49dp"
        android:text="Sign In"
        android:textColor="@color/black"
        app:fontFamily="@font/poppins_bold"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintHorizontal_bias="0"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/image_header" />

      <androidx.appcompat.widget.AppCompatTextView
        android:id="@+id/text_sub_header_sign_up"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginStart="49dp"
        android:text="Masukkan email &amp; password anda "
        app:fontFamily="@font/poppins_regular"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintHorizontal_bias="0"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/text_header_sign_in" />

      <com.google.android.material.textfield.TextInputLayout
        android:id="@+id/layout_input_email"
        style="@style/OutlinedRoundedBox"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginStart="49dp"
        android:layout_marginTop="40dp"
        android:layout_marginEnd="49dp"
        app:hintEnabled="false"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/text_sub_header_sign_up">

        <com.google.android.material.textfield.TextInputEditText
          android:layout_width="match_parent"
          android:layout_height="62dp"
          android:background="@drawable/background_rounded_input"
          android:fontFamily="@font/poppins_regular"
          android:hint="Email"
          android:imeOptions="actionNext"
          android:inputType="textEmailAddress"
          android:text="@={viewModel.email}" />

      </com.google.android.material.textfield.TextInputLayout>

      <com.google.android.material.textfield.TextInputLayout
        android:id="@+id/layout_input_password"
        style="@style/OutlinedRoundedBox"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginStart="49dp"
        android:layout_marginTop="24dp"
        android:layout_marginEnd="49dp"
        app:hintEnabled="false"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/layout_input_email">

        <com.google.android.material.textfield.TextInputEditText
          android:layout_width="match_parent"
          android:layout_height="62dp"
          android:background="@drawable/background_rounded_input"
          android:fontFamily="@font/poppins_regular"
          android:hint="Password"
          android:imeOptions="actionDone"
          android:inputType="textPassword"
          android:text="@={viewModel.password}" />

      </com.google.android.material.textfield.TextInputLayout>

      <com.google.android.material.button.MaterialButton
        android:id="@+id/button_sign_in"
        android:layout_width="0dp"
        android:layout_height="62dp"
        android:layout_marginStart="49dp"
        android:layout_marginTop="40dp"
        android:layout_marginEnd="49dp"
        android:background="@drawable/background_rounded_button"
        android:fontFamily="@font/poppins_bold"
        android:text="Sign In"
        android:textAllCaps="false"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/layout_input_password" />

      <ProgressBar
        android:id="@+id/progress_bar"
        android:layout_width="24dp"
        android:layout_height="24dp"
        android:elevation="6dp"
        android:indeterminate="true"
        android:indeterminateTint="@color/white"
        android:visibility="invisible"
        app:layout_constraintBottom_toBottomOf="@id/button_sign_in"
        app:layout_constraintEnd_toEndOf="@id/button_sign_in"
        app:layout_constraintStart_toStartOf="@id/button_sign_in"
        app:layout_constraintTop_toTopOf="@id/button_sign_in" />

      <com.google.android.material.textview.MaterialTextView
        android:id="@+id/text_sign_in"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginTop="24dp"
        android:gravity="center"
        android:text="Belum punya akun? Daftar disini"
        android:textColor="@color/black"
        app:fontFamily="@font/poppins_regular"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/button_sign_in" />

    </androidx.constraintlayout.widget.ConstraintLayout>
  </ScrollView>
</layout>